Bug 192935 - Winbind is not consistent with respect to lowercase/mixed case group names
Summary: Winbind is not consistent with respect to lowercase/mixed case group names
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: samba   
(Show other bugs)
Version: 5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-24 11:36 UTC by Robson Miranda
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 3.0.24-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 14:23:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robson Miranda 2006-05-24 11:36:56 UTC
Description of problem:

Winbind sometimes returns the group names in uppercase, sometimes in lowercase

Version-Release number of selected component (if applicable):
samba-common-3.0.22-1.fc5

How reproducible:
The first time we query about some specific user, the group names are shown in 
uppercase. After we query about the specific group (getent group <groupname>), 
the group name is returned in lowercase, and subsequent queries about any user 
which belongs to this group will have the group name in lowercase.


Steps to Reproduce:
1. Add the computer to an Windows 2000 domain
2. id <someuser_with_mixed_case_groups>. The group names are returned with the 
original group name (the name defined in Active Directory)
3. getent group <group_name_in_lowercase>. The group name is returned in 
lowercase.
4. id <the_same_user_in_step_2>. The group shown in step 3 is now in lowercase
  
Actual results:
Before the getent group <groupname>, the group name are returned in mixed case. 
After getent group <groupname>, the group name is returned in lowercase.

Expected results:
The user and group names must be always in lowercase.

Additional info:
After I added the computer to the domain, I changed the parameter "winbind use 
default domain" to true, and deleted all tdb files in /var/cache/samba.

Restarting winbind makes the groupname be returned in mixed case again.

Comment 1 Guenther Deschner 2007-03-15 14:23:27 UTC
This should be fixed in 3.0.24. Please reopen if you still see case mismatches
somewhere. 

Note that Samba now always uppercases the domain name and always lowercases the
user/groupname.


Note You need to log in before you can comment on or make changes to this bug.